> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-loglevelenum.md).

# medcrypt::guardian::LogLevelEnum

## 유형

|     | 이름                                                                     |
| --- | ---------------------------------------------------------------------- |
| 열거형 | [**유형**](#enum-type) { Critical = 0, Error, Warn, Info, Debug, Trace } |

## 함수

|                    | 이름                                                                  |
| ------------------ | ------------------------------------------------------------------- |
| std::string        | [**NameOf**](#function-nameof)(const [Type](#enum-type) & in\_enum) |
| [Type](#enum-type) | [**Enum**](#function-enum)(const std::string & in\_string)          |
| bool               | [**IsValid**](#function-isvalid)(const int & in\_value)             |

## 유형 문서

### 열거형 Type

| 열거자 | 값 | 설명                 |
| --- | - | ------------------ |
| 중요  | 0 | 충돌 가능성이 높음         |
| 오류  |   | 요청한 작업을 완료할 수 없음   |
| 경고  |   | 예상치 못한 결과로 작업이 완료됨 |
| 정보  |   | 관련 정보              |
| 디버그 |   | 디버그 출력(디버그 빌드에서만)  |
| 추적  |   | 추적 출력(내부 빌드에서만)    |

## 함수 설명서

### NameOf 함수

```cpp
std::string NameOf(
    const Type & in_enum
)
```

### Enum 함수

```cpp
Type Enum(
    const std::string & in_string
)
```

### IsValid 함수

```cpp
bool IsValid(
    const int & in_value
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-loglevelenum.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
